Reorder boards
curl --request PUT \
--url https://api.gleap.io/v3/ticket-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"types": [
"<string>"
]
}
'import requests
url = "https://api.gleap.io/v3/ticket-types"
payload = { "types": ["<string>"] }
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({types: ['<string>']})
};
fetch('https://api.gleap.io/v3/ticket-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"project": "<string>",
"type": "<string>",
"name": "<string>",
"path": "<string>",
"order": 123,
"_id": "<string>",
"id": "<string>",
"organisation": "<string>",
"menuName": "<string>",
"icon": "<string>",
"renderType": "<string>",
"default": true,
"selectable": true,
"options": {
"possibleLanes": [
{
"title": "<string>",
"key": "<string>",
"hidden": true
}
]
},
"restrictedToUsers": [
"<string>"
],
"receievedEmailTitle": "<unknown>",
"receievedEmailDescription": "<unknown>",
"feedbackReceivedEmailTemplate": "<unknown>",
"emailReplyTemplate": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Ticket types
Reorder boards
Set the sidebar order of the boards. Boards missing from types keep their relative order
after the listed ones.
PUT
/
ticket-types
Reorder boards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Board type keys in the desired sidebar order.
Response
200 - application/json
Ok
Immutable uppercase identifier stored on tickets (ticket.type).
URL slug, renameable for custom boards.
Sidebar position (ascending).
Show child attributes
Show child attributes